Page MenuHomePhabricator

Add MediaWiki login support to Discourse
Closed, ResolvedPublic

Description

Discourse uses OmniAuth which already has a MediaWiki plugin so all that's needed here is the scaffolding to turn the OmniAuth plugin into a Discourse plugin. For a typical site that's supported by OmniAuth the auth plugin is just a few dozen lines of declarative code.

Related Objects

Event Timeline

Tgr created this task.Feb 1 2019, 5:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2019, 5:46 AM
Tgr moved this task from Backlog to Next on the User-Tgr board.May 20 2019, 11:54 AM
Qgil triaged this task as High priority.Jun 27 2019, 7:06 AM
Qgil added a project: Space.
Qgil added a subscriber: elappen-WMF.

If what Gergo says it's true, implementing this feature might be simpler than trying to debug and fix T226545: Loop trying to create an account in Wikimedia Space in certain cases.

@elappen-WMF, just to start somewhere, can you ask our Discourse contractor to have a look to this task and see whether he (or someone he knows) can implement Wikimedia login via OmniAuth?

Qgil moved this task from Inbox to Jul-Sep-2019 on the Space board.Jun 27 2019, 2:25 PM
Qgil edited projects, added Space (Jul-Sep-2019); removed Space.

Yep, I'll send him a message to get the ball rolling.

Qgil assigned this task to elappen-WMF.Jul 5 2019, 9:42 AM

The developer has begun work on this, and is pursuing implementing the existing Wikimedia OmniAuth Strategy in Discourse.

Samat added a subscriber: Samat.Aug 24 2019, 3:37 PM
Qgil added a comment.Aug 28 2019, 6:19 AM

A first version of the Wikimedia login plugin for Discourse is available at https:// discourse-mediawiki.wmflabs.org. Testers wanted!

https://discourse-mediawiki.wmflabs.org/t/testing-wikimedia-login-for-this-discourse-instance/1460

As soon as we are confident about the quality of this plugin we will install it here in Space and we will remove the Phabricator login workaround.

Qgil added a comment.Aug 29 2019, 12:40 PM

@elappen-WMF, I installed and configured the plugin in discourse-mediawiki, @Tgr approved the OAuth client request, and I gave Angus admin permissions to discourse-mediawiki. With this, you should have everything you need to check feedback and fine tune as needed.

Let me know when the plugin is ready for discuss-space, and I will install it and configure it there.

elappen-WMF closed this task as Resolved.Fri, Sep 27, 6:11 PM

Wikimedia login is now deployed on Space. I have released notifying people of this change, and informing them what to do in the case of account duplication.

Qgil awarded a token.Tue, Oct 1, 9:59 AM
Qgil moved this task from Started to Evaluated on the Space (Jul-Sep-2019) board.